GET
https://api.cryptohopper.com/v1/market/seller/{seller_id}
Returns a marketplace seller with total downloads, total signal subscribers and the seller's items and signals.
OAuth scope:
read About scopes
marketplace_items lists up to 100 items that are also sold in the mobile app, followed by up to 100 active signals. total_subscribers is false when the seller has no signal.
Example request
curl "https://api.cryptohopper.com/v1/market/seller/SELLER_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/market/seller/SELLER_ID', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/market/seller/SELLER_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/market/seller/SELLER_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
seller_id |
string | Required | Seller ID. |
Response
{
"data": {
"id": 321,
"name": "Example Trading",
"logo": "https://cdn.cryptohopper.com/images/marketplace/sellers/321.png",
"description": "Templates and signals for spot trading.",
"total_downloads": 1520,
"total_subscribers": "37",
"marketplace_items": [
{
"id": "10512",
"type": "template",
"name": "Binance Swing Trader",
"logo": "https://cdn.cryptohopper.com/images/marketplace/10512.png",
"rating": "4.50000",
"rating_count": "12",
"price": "19.00",
"price_currency": "$"
},
{
"id": "42",
"type": "signal",
"name": "Alpha Signals",
"logo": "https://cdn.cryptohopper.com/images/signals/42.png",
"rating": "4.25000",
"rating_count": "8",
"price": "29.00",
"price_currency": "$"
}
]
}
}